package com.zanxiang.game.module.base.rpc;

import com.zanxiang.game.module.base.pojo.dto.SendMsgDto;
import com.zanxiang.game.module.base.pojo.params.SendMsgTaskParam;
import com.zanxiang.game.module.base.pojo.vo.SendMsgVo;
import com.zanxiang.game.module.base.util.PageUtil;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * @author : ZhangXianyu
 * @time : 2024-03-13 11:05:18
 * @description : 发送消息
 */
public interface ICPSendMsgRpc {

    /**
     * 发送消息
     * @param sendMsgDto
     * @return
     */
    ResultVO<Boolean> sendMsg(SendMsgDto sendMsgDto);

    PageUtil<SendMsgVo> getSendMsgTaskList(SendMsgTaskParam sendMsgTaskParam);
}
