package com.zanxiang.game.module.manage.rpc.impl;

import com.zanxiang.game.module.base.pojo.dto.SendMsgDto;
import com.zanxiang.game.module.base.pojo.params.SendMsgTaskParam;
import com.zanxiang.game.module.base.pojo.vo.SendMsgVo;
import com.zanxiang.game.module.base.rpc.ICPSendMsgRpc;
import com.zanxiang.game.module.base.util.PageUtil;
import com.zanxiang.game.module.manage.service.ICPSendMsgTaskService;
import com.zanxiang.module.util.pojo.ResultVO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.DubboService;

import javax.annotation.Resource;

@DubboService
@Slf4j
public class CpSendMsgRpcImpl implements ICPSendMsgRpc {

    @Resource
    private ICPSendMsgTaskService sendMsgTaskService;

    @Override
    public ResultVO<Boolean> sendMsg(SendMsgDto sendMsgDto) {
       return sendMsgTaskService.sendMsg(sendMsgDto);
    }

    @Override
    public PageUtil<SendMsgVo> getSendMsgTaskList(SendMsgTaskParam param) {
       return sendMsgTaskService.getSendMsgTaskList(param);
    }







}
