package com.zanxiang.game.module.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.module.mybatis.entity.CpSendMsgLog;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2024-03-14
 * @description : CP消息发送记录
 */
public interface ICpSendMsgLogService extends IService<CpSendMsgLog> {

    /**
     * CP发送消息
     *
     * @param taskId     : 任务id
     * @param gameId     : 游戏od
     * @param text       : 文本内容
     * @param roleIdList : 角色列表
     */
    void cpSendMsg(Long taskId, Long gameId, String text, List<String> roleIdList);
}
