package com.zanxiang.game.data.serve.pojo.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * @author ZhangXianyu
 * @description: 游戏区服列表数据
 * @date 2024-03-14 19:06:50
 */
@Data
public class GSGameServerDayVO implements Serializable {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "游戏名称")
    private String gameName;

    @ApiModelProperty(value = "游戏类别")
    private String parentGameClassify;

    @ApiModelProperty(value = "游戏区服名称")
    private String serverName;

    @ApiModelProperty(value = "SDK来源")
    private String sourceSystem;

    @ApiModelProperty(value = "开服天数")
    private Integer day;

    @ApiModelProperty(value = "开服时间")
    private LocalDate beginDate;


    @ApiModelProperty(value = "新用户人数")
    private Integer newUserCount;

    @ApiModelProperty(value = "创角人数")
    private Integer newRoleCount;

    @ApiModelProperty(value = "付费人数")
    private Integer payUserCount;

    /**
     * 区服第1天：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String da1;

    /**
     * 区服第1天：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String da2;

    /**
     * 区服第2天：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String da3;

    /**
     * 区服第3天：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String da4;

    /**
     * 区服第4天：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String da5;


    @ApiModelProperty(value = "不展示")
    private String da6;


    @ApiModelProperty(value = "不展示")
    private String da7;


    @ApiModelProperty(value = "不展示")
    private String da8;

    @ApiModelProperty(value = "不展示")
    private String da9;

    @ApiModelProperty(value = "不展示")
    private String da10;


    @ApiModelProperty(value = "不展示")
    private String da11;


    @ApiModelProperty(value = "不展示")
    private String da12;

    @ApiModelProperty(value = "不展示")
    private String da13;


    @ApiModelProperty(value = "不展示")
    private String da14;


    @ApiModelProperty(value = "不展示")
    private String da15;


    @ApiModelProperty(value = "不展示")
    private String da16;


    @ApiModelProperty(value = "不展示")
    private String da17;


    @ApiModelProperty(value = "不展示")
    private String da18;


    @ApiModelProperty(value = "不展示")
    private String da19;


    @ApiModelProperty(value = "不展示")
    private String da20;


    @ApiModelProperty(value = "不展示")
    private String da21;


    @ApiModelProperty(value = "不展示")
    private String da22;


    @ApiModelProperty(value = "不展示")
    private String da23;


    @ApiModelProperty(value = "不展示")
    private String da24;


    @ApiModelProperty(value = "不展示")
    private String da25;


    @ApiModelProperty(value = "不展示")
    private String da26;


    @ApiModelProperty(value = "不展示")
    private String da27;


    @ApiModelProperty(value = "不展示")
    private String da28;


    @ApiModelProperty(value = "不展示")
    private String da29;

    @ApiModelProperty(value = "不展示")
    private String da30;
    @ApiModelProperty(value = "不展示")
    private String da31;
    @ApiModelProperty(value = "不展示")
    private String da32;
    @ApiModelProperty(value = "不展示")
    private String da33;
    @ApiModelProperty(value = "不展示")
    private String da34;
    @ApiModelProperty(value = "不展示")
    private String da35;
    @ApiModelProperty(value = "不展示")
    private String da36;
    @ApiModelProperty(value = "不展示")
    private String da37;
    @ApiModelProperty(value = "不展示")
    private String da38;
    @ApiModelProperty(value = "不展示")
    private String da39;

    @ApiModelProperty(value = "不展示")
    private String da40;
    @ApiModelProperty(value = "不展示")
    private String da41;
    @ApiModelProperty(value = "不展示")
    private String da42;
    @ApiModelProperty(value = "不展示")
    private String da43;
    @ApiModelProperty(value = "不展示")
    private String da44;
    @ApiModelProperty(value = "不展示")
    private String da45;
    @ApiModelProperty(value = "不展示")
    private String da46;
    @ApiModelProperty(value = "不展示")
    private String da47;
    @ApiModelProperty(value = "不展示")
    private String da48;
    @ApiModelProperty(value = "不展示")
    private String da49;

    @ApiModelProperty(value = "不展示")
    private String da50;
    @ApiModelProperty(value = "不展示")
    private String da51;
    @ApiModelProperty(value = "不展示")
    private String da52;
    @ApiModelProperty(value = "不展示")
    private String da53;
    @ApiModelProperty(value = "不展示")
    private String da54;
    @ApiModelProperty(value = "不展示")
    private String da55;
    @ApiModelProperty(value = "不展示")
    private String da56;
    @ApiModelProperty(value = "不展示")
    private String da57;
    @ApiModelProperty(value = "不展示")
    private String da58;
    @ApiModelProperty(value = "不展示")
    private String da59;

    @ApiModelProperty(value = "不展示")
    private String da60;
    @ApiModelProperty(value = "不展示")
    private String da61;
    @ApiModelProperty(value = "不展示")
    private String da62;
    @ApiModelProperty(value = "不展示")
    private String da63;
    @ApiModelProperty(value = "不展示")
    private String da64;
    @ApiModelProperty(value = "不展示")
    private String da65;
    @ApiModelProperty(value = "不展示")
    private String da66;
    @ApiModelProperty(value = "不展示")
    private String da67;
    @ApiModelProperty(value = "不展示")
    private String da68;
    @ApiModelProperty(value = "不展示")
    private String da69;

    @ApiModelProperty(value = "不展示")
    private String da70;
    @ApiModelProperty(value = "不展示")
    private String da71;
    @ApiModelProperty(value = "不展示")
    private String da72;
    @ApiModelProperty(value = "不展示")
    private String da73;
    @ApiModelProperty(value = "不展示")
    private String da74;
    @ApiModelProperty(value = "不展示")
    private String da75;
    @ApiModelProperty(value = "不展示")
    private String da76;
    @ApiModelProperty(value = "不展示")
    private String da77;
    @ApiModelProperty(value = "不展示")
    private String da78;
    @ApiModelProperty(value = "不展示")
    private String da79;

    @ApiModelProperty(value = "不展示")
    private String da80;
    @ApiModelProperty(value = "不展示")
    private String da81;
    @ApiModelProperty(value = "不展示")
    private String da82;
    @ApiModelProperty(value = "不展示")
    private String da83;
    @ApiModelProperty(value = "不展示")
    private String da84;
    @ApiModelProperty(value = "不展示")
    private String da85;
    @ApiModelProperty(value = "不展示")
    private String da86;
    @ApiModelProperty(value = "不展示")
    private String da87;
    @ApiModelProperty(value = "不展示")
    private String da88;
    @ApiModelProperty(value = "不展示")
    private String da89;
    @ApiModelProperty(value = "不展示")
    private String da90;

    /**
     * 区服在第4月：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m4;

    /**
     * 区服在第5月：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m5;

    /**
     * 区服在第6月：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m6;

    /**
     * 区服在第7月：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m7;

    /**
     * 区服在第8月：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m8;

    /**
     * 区服在第9月：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m9;

    /**
     * 区服在第10月：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m10;

    /**
     * 区服在第11月：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m11;

    /**
     * 区服在第1年：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String m12;

//    /**
//     * 区服至今：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
//     */
//    @ApiModelProperty(value = "区服至今总数据")
//    private GameServerTrendVO totalTrend;

    /**
     * 昨日区服数据：活跃留存率/付费留存率/小R留存率/中R留存率/大R留存率/超大R留存率/第N天创角总人数/第N天付费总人数
     */
    @ApiModelProperty(value = "不展示")
    private String yesterday;




}
