package com.zanxiang.game.data.serve.service;

import com.zanxiang.game.module.base.pojo.vo.SendMsgVo;
import com.zanxiang.game.data.serve.pojo.dto.MsgTaskDto;
import com.zanxiang.game.data.serve.pojo.dto.RoleCombatRankingDTO;
import com.zanxiang.game.data.serve.pojo.dto.RoleRechargeRankingDTO;
import com.zanxiang.game.data.serve.pojo.dto.SendMsgTaskDto;
import com.zanxiang.game.data.serve.utils.Page;

import java.util.List;
import java.util.Map;

public interface IRoleManageService {

    Page<Map> getRoleRechargeRanking(RoleRechargeRankingDTO dto);

    Page<Map> getRoleCombatRanking(RoleCombatRankingDTO dto);

    /**
     * 创建发送消息任务
     * @param dto
     */
    void createSendMsgTask(SendMsgTaskDto dto);


    /**
     * 获取角色列表
     * @param dto
     * @return
     */
    List<Map> getRoleList(RoleRechargeRankingDTO dto);

    /**
     * 获取发送消息任务列表
     * @param dto
     * @return
     */
    Page<SendMsgVo> getSendMsgTaskList(MsgTaskDto dto);
}
